diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategy.java
index cfb5ad0dcc..44ed833a3f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/name/NonViralNameDefaultCacheStrategy.java
@@ -9,6 +9,8 @@
 package eu.etaxonomy.cdm.strategy.cache.name;
 
 import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.Collections;
 import java.util.Iterator;
 import java.util.List;
 import java.util.Set;
@@ -23,14 +25,18 @@ import org.apache.log4j.Logger;
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
 import eu.etaxonomy.cdm.model.agent.INomenclaturalAuthor;
+import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.Representation;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
 import eu.etaxonomy.cdm.model.name.HybridRelationship;
+import eu.etaxonomy.cdm.model.name.NameRelationship;
+import eu.etaxonomy.cdm.model.name.NameRelationshipType;
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatus;
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.name.Rank;
+import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.reference.INomenclaturalReference;
 import eu.etaxonomy.cdm.strategy.cache.HTMLTagRules;
 import eu.etaxonomy.cdm.strategy.cache.TagEnum;
@@ -48,11 +54,6 @@ import eu.etaxonomy.cdm.strategy.parser.NonViralNameParserImplRegExBase;
  * existing methods, e.g. a CacheStrategy for zoological names should overwrite getAuthorAndExAuthor
  * @author a.mueller
  */
-/**
- * @author AM
- *
- * @param <T>
- */
 public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends NameCacheStrategyBase<T> implements INonViralNameCacheStrategy<T> {
 	private static final Logger logger = Logger.getLogger(NonViralNameDefaultCacheStrategy.class);
 	private static final long serialVersionUID = -6577757501563212669L;
@@ -141,7 +142,7 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 
 
     /**
-     * String to seperate ex author from author.
+     * String to separate ex author from author.
      * @return
      */
     public String getExAuthorSeperator() {
@@ -155,7 +156,7 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 
 
     /**
-     * String that seperates the basionym/original_combination author part from the combination author part
+     * String that separates the basionym/original_combination author part from the combination author part
      * @return
      */
     public CharSequence getBasionymAuthorCombinationAuthorSeperator() {
@@ -170,17 +171,11 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 
 //** *****************************************************************************************/
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.strategy.cache.name.NameCacheStrategyBase#getTitleCache(eu.etaxonomy.cdm.model.name.TaxonNameBase)
-     */
     @Override
     public String getTitleCache(T nonViralName) {
     	return getTitleCache(nonViralName, null);
     }
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.strategy.cache.name.INonViralNameCacheStrategy#getTitleCache(eu.etaxonomy.cdm.model.name.NonViralName, eu.etaxonomy.cdm.strategy.cache.HTMLTagRules)
-     */
     @Override
 	public String getTitleCache(T nonViralName, HTMLTagRules htmlTagRules) {
     	List<TaggedText> tags = getTaggedTitle(nonViralName);
@@ -192,9 +187,6 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 		}
     }
     
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.strategy.cache.name.INameCacheStrategy#getFullTitleCache(eu.etaxonomy.cdm.model.name.TaxonNameBase, eu.etaxonomy.cdm.strategy.cache.HTMLTagRules)
-	 */
 	@Override
 	public String getFullTitleCache(T nonViralName, HTMLTagRules htmlTagRules) {
 		List<TaggedText> tags = getTaggedFullTitle(nonViralName);
@@ -206,10 +198,6 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 	    }
 	}
 
-
-	/* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.strategy.cache.name.NameCacheStrategyBase#getFullTitleCache(eu.etaxonomy.cdm.model.name.TaxonNameBase)
-     */
     @Override
     public String getFullTitleCache(T nonViralName) {
     	return getFullTitleCache(nonViralName, null);
@@ -220,6 +208,7 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
      * Generates and returns the "name cache" (only scientific name without author teams and year).
      * @see eu.etaxonomy.cdm.strategy.cache.name.INameCacheStrategy#getNameCache(eu.etaxonomy.cdm.model.name.TaxonNameBase)
      */
+    @Override
     public String getNameCache(T nonViralName) {
         List<TaggedText> tags = getTaggedName(nonViralName);
         if (tags == null){
@@ -348,9 +337,7 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 // ******************* Authorship ******************************/
 
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.strategy.cache.INonViralNameCacheStrategy#getAuthorCache(eu.etaxonomy.cdm.model.name.NonViralName)
-     */
+    @Override
     public String getAuthorshipCache(T nonViralName) {
         if (nonViralName == null){
             return null;
@@ -433,9 +420,6 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 
 // ************* TAGGED NAME ***************************************/
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.strategy.cache.name.NameCacheStrategyBase#getTaggedFullTitle(eu.etaxonomy.cdm.model.name.TaxonNameBase)
-     */
     @Override
     public List<TaggedText> getTaggedFullTitle(T nonViralName) {
         List<TaggedText> tags = new ArrayList<TaggedText>();
@@ -507,9 +491,7 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 
     }
 
-    /* (non-Javadoc)
-     * @see eu.etaxonomy.cdm.strategy.cache.name.NameCacheStrategyBase#getTaggedTitle(eu.etaxonomy.cdm.model.name.TaxonNameBase)
-     */
+    @Override
     public List<TaggedText> getTaggedTitle(T nonViralName) {
         if (nonViralName == null){
             return null;
@@ -554,12 +536,12 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
 
     }
 
-
     /**
      * Returns the tag list of the name part (without author and reference).
      * @param nonViralName
      * @return
      */
+    @Override
     public List<TaggedText> getTaggedName(T nonViralName) {
         if (nonViralName == null){
             return null;
@@ -880,11 +862,84 @@ public class NonViralNameDefaultCacheStrategy<T extends NonViralName> extends Na
      */
     protected void addAppendedTaggedPhrase(List<TaggedText> tags, NonViralName<?> nonViralName){
         String appendedPhrase = nonViralName ==null ? null : nonViralName.getAppendedPhrase();
+        String originalName = getOriginalNameString(nonViralName, tags);
+        if (StringUtils.isNotBlank(originalName)){
+            tags.add(new TaggedText(TagEnum.name, originalName));
+        }
         if (StringUtils.isNotEmpty(appendedPhrase)){
             tags.add(new TaggedText(TagEnum.name, appendedPhrase));
         }
     }
 
+    private String getOriginalNameString(NonViralName<?> currentName, List<TaggedText> originalNameTaggs) {
+		List<String> originalNameStrings = new ArrayList<String>(1);
+    	for (NameRelationship nameRel : currentName.getRelationsToThisName()){  //handle list, just in case we have strange data; this may result in strange looking results
+			NameRelationshipType type = nameRel.getType();
+    		if(type != null && type.equals(NameRelationshipType.ORIGINAL_SPELLING())){
+    			String originalNameString;
+    			TaxonNameBase<?,?> originalName = nameRel.getFromName();
+    			if (!originalName.isInstanceOf(NonViralName.class)){
+    				originalNameString = originalName.getTitleCache();  
+    			}else{
+    				NonViralName<?> originalNvName = CdmBase.deproxy(originalName, NonViralName.class);
+    				originalNameString = makeOriginalNameString(currentName, originalNvName, originalNameTaggs); 
+    			}
+    			originalNameStrings.add("'" + originalNameString +"'");
+    		}
+		}
+    	if (originalNameStrings.size() > 0){
+    		String result = CdmUtils.concat("", originalNameStrings.toArray(new String[originalNameStrings.size()])) ;
+	    	return result;
+    	}else{
+    		return null;
+    	}
+	}
+
+
+	private String makeOriginalNameString(NonViralName<?> currentName, NonViralName<?> originalName, List<TaggedText> currentNameTags) {
+		//use cache if necessary
+		String cacheToUse = null;
+		if (originalName.isProtectedNameCache() && StringUtils.isNotBlank(originalName.getNameCache())){
+			cacheToUse = originalName.getNameCache();
+		}else if (originalName.isProtectedTitleCache() && StringUtils.isNotBlank(originalName.getTitleCache())){
+			cacheToUse = originalName.getTitleCache();
+		}else if (originalName.isProtectedFullTitleCache() && StringUtils.isNotBlank(originalName.getFullTitleCache())){
+			cacheToUse = originalName.getFullTitleCache();
+		}
+		if (cacheToUse != null){
+			return cacheToUse;
+		}
+		//use atomized data
+		//get originalNameParts array
+		String originalNameString = originalName.getNameCache();
+		if (originalNameString == null){
+			originalNameString = originalName.getTitleCache();
+		}
+		if (originalNameString == null){  //should not happen
+			originalNameString = originalName.getFullTitleCache();
+		}
+		String[] originalNameSplit = originalNameString.split("\\s+");
+		
+		//get current name parts
+		String currentNameString = createString(currentNameTags);
+		String[] currentNameSplit = currentNameString.split("\\s+");
+		
+		//compute string
+		String result = originalNameString;
+		for (int i = 0; i < Math.min(originalNameSplit.length, currentNameSplit.length); i++){
+			if (originalNameSplit[i].equals(currentNameSplit[i])){
+				result = result.replaceFirst(originalNameSplit[i], "").trim();
+			}
+		}
+		//old
+//		if (originalName.getGenusOrUninomial() != null && originalName.getGenusOrUninomial().equals(currentName.getGenusOrUninomial())){
+//			 
+//		}
+		return result;
+	}
+
+
+	@Override
     public String getLastEpithet(T taxonNameBase) {
         Rank rank = taxonNameBase.getRank();
         if(rank.isGenus() || rank.isSupraGeneric()) {
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategy.java
index b05a274a29..02601c9598 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/ArticleDefaultCacheStrategy.java
@@ -15,9 +15,11 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
+import eu.etaxonomy.cdm.model.reference.IJournal;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 public class ArticleDefaultCacheStrategy <T extends Reference> extends NomRefDefaultCacheStrategyBase<T> implements  INomenclaturalReferenceCacheStrategy<T> {
+	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(ArticleDefaultCacheStrategy.class);
 	
 	public static final String UNDEFINED_JOURNAL = "- undefined journal -";
@@ -59,34 +61,51 @@ public class ArticleDefaultCacheStrategy <T extends Reference> extends NomRefDef
 		if (article.isProtectedTitleCache()){
 			return article.getTitleCache();
 		}
-		String result =  getNomRefTitleWithoutYearAndAuthor(article);
+		String result =  getTitleWithoutYearAndAuthor(article, false);
 		result = addYear(result, article, false);
 		TeamOrPersonBase<?> team = article.getAuthorTeam();
 		result = CdmUtils.concat(" ", article.getTitle(), result);
-		if (team != null &&  CdmUtils.isNotEmpty(team.getTitleCache())){
+		if (team != null &&  StringUtils.isNotBlank(team.getTitleCache())){
 			String authorSeparator = StringUtils.isNotBlank(article.getTitle())? afterAuthor : " ";
 			result = team.getTitleCache() + authorSeparator + result;
 		}
 		return result;
 	}
 
+	@Override
+	public String getAbbrevTitleCache(T article) {
+		if (article.isProtectedAbbrevTitleCache()){
+			return article.getAbbrevTitleCache();
+		}
+		String result =  getTitleWithoutYearAndAuthor(article, true);
+		result = addYear(result, article, false);
+		TeamOrPersonBase<?> team = article.getAuthorTeam();
+		String articleTitle = CdmUtils.getPreferredNonEmptyString(article.getAbbrevTitle(), article.getTitle(), false, true);
+		result = CdmUtils.concat(" ", articleTitle, result);  //Article should maybe left out for nomenclatural references (?)
+		if (team != null &&  StringUtils.isNotBlank(team.getNomenclaturalTitle())){
+			String authorSeparator = StringUtils.isNotBlank(articleTitle) ? afterAuthor : " ";
+			result = team.getNomenclaturalTitle() + authorSeparator + result;
+		}
+		return result;
+	}
 
 	@Override
-	protected String getNomRefTitleWithoutYearAndAuthor(T article){
+	protected String getTitleWithoutYearAndAuthor(T article, boolean isAbbrev){
 		if (article == null){
 			return null;
 		}
-		boolean hasJournal = (article.getInReference() != null);
+		IJournal journal = article.getInReference();
+		boolean hasJournal = (journal != null);
 		
-		String titelAbbrev;
+		String journalTitel;
 		if (hasJournal){
-			titelAbbrev = CdmUtils.Nz(article.getInReference().getTitle()).trim();
+			journalTitel = CdmUtils.getPreferredNonEmptyString(journal.getTitle(), journal.getAbbrevTitle(), isAbbrev, true);
 		}else{
-			titelAbbrev = UNDEFINED_JOURNAL;
+			journalTitel = UNDEFINED_JOURNAL;
 		}
 		
-		String series = CdmUtils.Nz(article.getSeries()).trim();
-		String volume = CdmUtils.Nz(article.getVolume()).trim();
+		String series = Nz(article.getSeries()).trim();
+		String volume = Nz(article.getVolume()).trim();
 		
 		boolean needsComma = false;
 		
@@ -96,8 +115,8 @@ public class ArticleDefaultCacheStrategy <T extends Reference> extends NomRefDef
 		nomRefCache = prefixReferenceJounal + blank; 
 		
 		//titelAbbrev
-		if (CdmUtils.isNotEmpty(titelAbbrev)){
-			nomRefCache = nomRefCache + titelAbbrev + blank; 
+		if (isNotBlank(journalTitel)){
+			nomRefCache = nomRefCache + journalTitel + blank; 
 		}
 		
 		nomRefCache = getSeriesAndVolPart(series, volume, needsComma, nomRefCache);
@@ -114,7 +133,7 @@ public class ArticleDefaultCacheStrategy <T extends Reference> extends NomRefDef
 			boolean needsComma, String nomRefCache) {
 		//inSeries
 		String seriesPart = "";
-		if (!"".equals(series)){
+		if (isNotBlank(series)){
 			seriesPart = series;
 			if (CdmUtils.isNumeric(series)){
 				seriesPart = prefixSeries + blank + seriesPart;
@@ -140,5 +159,4 @@ public class ArticleDefaultCacheStrategy <T extends Reference> extends NomRefDef
 		return nomRefCache;
 	}
 
-	
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategy.java
index 176c7e101a..fff3786e8d 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookDefaultCacheStrategy.java
@@ -17,6 +17,9 @@ import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 public class BookDefaultCacheStrategy <T extends Reference> extends NomRefDefaultCacheStrategyBase<T>  implements  INomenclaturalReferenceCacheStrategy<T> {
+	static final long serialVersionUID = -8535065052672341462L;
+
+	@SuppressWarnings("unused")
 	private static final Logger logger = Logger.getLogger(BookDefaultCacheStrategy.class);
 	
 	private String prefixEdition = "ed.";
@@ -54,16 +57,16 @@ public class BookDefaultCacheStrategy <T extends Reference> extends NomRefDefaul
 
 
 	@Override
-	public String getNomRefTitleWithoutYearAndAuthor(T nomenclaturalReference){
-		if (nomenclaturalReference == null){
+	public String getTitleWithoutYearAndAuthor(T ref, boolean isAbbrev){
+		if (ref == null){
 			return null;
 		}
 		//TODO
-		String titelAbbrev = CdmUtils.Nz(nomenclaturalReference.getTitle()).trim();
-		String edition = CdmUtils.Nz(nomenclaturalReference.getEdition()).trim();
+		String title = CdmUtils.getPreferredNonEmptyString(ref.getTitle(), ref.getAbbrevTitle(), isAbbrev, true);
+		String edition = CdmUtils.Nz(ref.getEdition()).trim();
 		//TODO
 		String series = ""; //nomenclaturalReference.getSeries();
-		String volume = CdmUtils.Nz(nomenclaturalReference.getVolume()).trim();
+		String volume = CdmUtils.Nz(ref.getVolume()).trim();
 		String refYear = "";  //TODO nomenclaturalReference.getYear();
 
 
@@ -72,23 +75,23 @@ public class BookDefaultCacheStrategy <T extends Reference> extends NomRefDefaul
 		Integer len;
 		String lastChar;
 		String character =".";
-		len = titelAbbrev.length();
+		len = title.length();
 		if (len > 0){
-			lastChar = titelAbbrev.substring(len-1, len);
+			lastChar = title.substring(len-1, len);
 		}
 		//lastCharIsDouble = f_core_CompareStrings(RIGHT(@TitelAbbrev,1),character);
-		lastCharIsDouble = titelAbbrev.equals(character);
+		lastCharIsDouble = title.equals(character);
 
 		if(lastCharIsDouble  && edition.length() == 0 && series.length() == 0 && volume.length() == 0 && refYear.length() > 0 ){
-			titelAbbrev =  titelAbbrev.substring(1, len-1); //  SUBSTRING(@TitelAbbrev,1,@LEN-1)
+			title =  title.substring(1, len-1); //  SUBSTRING(@TitelAbbrev,1,@LEN-1)
 		}
 
 		
 		boolean needsComma = false;
 		//titelAbbrev
-		if (!"".equals(titelAbbrev) ){
+		if (!"".equals(title) ){
 			String postfix = StringUtils.isNotBlank(edition) ? "" : blank; 
-			nomRefCache = titelAbbrev + postfix; 
+			nomRefCache = title + postfix; 
 		}
 		//edition
 		String editionPart = "";
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookSectionDefaultCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookSectionDefaultCacheStrategy.java
index 864eac9d98..11a9544325 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookSectionDefaultCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/BookSectionDefaultCacheStrategy.java
@@ -10,12 +10,8 @@ package eu.etaxonomy.cdm.strategy.cache.reference;
 
 import java.util.UUID;
 
-import org.apache.commons.lang.StringUtils;
 import org.apache.log4j.Logger;
 
-import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
-import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.reference.Reference;
 
 public class BookSectionDefaultCacheStrategy <T extends Reference> extends InRefDefaultCacheStrategyBase<T>  implements  INomenclaturalReferenceCacheStrategy<T> {
@@ -28,9 +24,6 @@ public class BookSectionDefaultCacheStrategy <T extends Reference> extends InRef
 
 	private static final boolean inRefIsObligatory = true;
 	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.strategy.StrategyBase#getUuid()
-	 */
 	@Override
 	protected UUID getUuid() {
 		return uuid; 
@@ -41,8 +34,6 @@ public class BookSectionDefaultCacheStrategy <T extends Reference> extends InRef
 		return inRefTypeStr;
 	}
 
-	
-	
 	/**
 	 * Factory method
 	 * @return
@@ -58,30 +49,27 @@ public class BookSectionDefaultCacheStrategy <T extends Reference> extends InRef
 		super();
 	}
 
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.strategy.cache.reference.NomRefDefaultCacheStrategyBase#getNomRefTitleWithoutYearAndAuthor(eu.etaxonomy.cdm.model.reference.Reference)
-	 */
 	@Override
-	protected String getNomRefTitleWithoutYearAndAuthor(T reference) {
+	protected String getTitleWithoutYearAndAuthor(T reference, boolean isAbbrev) {
 		// not needed in BookSection
 		logger.warn("Questionable procedure call. Procedure not implemented because not needed. ");
 		return null;
 	}
 
-
 	@Override
 	public String getTokenizedNomenclaturalTitel(T generic) {
 		return super.getTokenizedNomenclaturalTitel(generic, inRefIsObligatory);
 	}
 
-
 	@Override
 	public String getTitleCache(T thisRef) {
-		return super.getTitleCache(thisRef, inRefIsObligatory);
+		return super.getTitleCache(thisRef, inRefIsObligatory, false);
 	}
 	
-	
+	@Override
+	public String getAbbrevTitleCache(T thisRef) {
+		return super.getTitleCache(thisRef, inRefIsObligatory, true);
+	}
 	
 
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategy.java
index 96f3ce3708..6caa8ddb5f 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/CdDvdDefaultCacheStrategy.java
@@ -14,7 +14,6 @@ import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.CdmUtils;
 import eu.etaxonomy.cdm.model.reference.Reference;
-//import eu.etaxonomy.cdm.model.reference.CdDvd;
 
 public class CdDvdDefaultCacheStrategy <T extends Reference> extends NomRefDefaultCacheStrategyBase<T>  implements  INomenclaturalReferenceCacheStrategy<T> {
 	private static final Logger logger = Logger.getLogger(CdDvdDefaultCacheStrategy.class);
@@ -51,23 +50,22 @@ public class CdDvdDefaultCacheStrategy <T extends Reference> extends NomRefDefau
 	private CdDvdDefaultCacheStrategy(){
 		super();
 	}
-
-
+	
 	@Override
-	public String getNomRefTitleWithoutYearAndAuthor(T nomenclaturalReference){
-		if (nomenclaturalReference == null){
+	protected String getTitleWithoutYearAndAuthor(T ref, boolean isAbbrev){
+		if (ref == null){
 			return null;
 		}
 		String nomRefCache = "";
 		//TODO
-		String titelAbbrev = CdmUtils.Nz(nomenclaturalReference.getTitle()).trim();
+		String titel = CdmUtils.getPreferredNonEmptyString(ref.getTitle(), ref.getAbbrevTitle(), isAbbrev, true);
 //		String publisher = CdmUtils.Nz(nomenclaturalReference.getPublisher());
 		
 		boolean needsComma = false;
 		//titelAbbrev
 		String titelAbbrevPart = "";
-		if (!"".equals(titelAbbrev)){
-			nomRefCache = titelAbbrev + blank; 
+		if (titel.length() > 0){
+			nomRefCache = titel + blank; 
 		}
 //		//publisher
 //		String publisherPart = "";
@@ -98,6 +96,4 @@ public class CdDvdDefaultCacheStrategy <T extends Reference> extends NomRefDefau
 		
 	}
 
-
-
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/GenericDefaultCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/GenericDefaultCacheStrategy.java
index c261040a01..9f14e6cc66 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/GenericDefaultCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/GenericDefaultCacheStrategy.java
@@ -65,12 +65,12 @@ public class GenericDefaultCacheStrategy <T extends Reference> extends InRefDefa
 	
 
 	@Override
-	protected String getNomRefTitleWithoutYearAndAuthor(T genericReference){
+	protected String getTitleWithoutYearAndAuthor(T genericReference, boolean isAbbrev){
 		if (genericReference == null){
 			return null;
 		}
 		//TODO
-		String titelAbbrev = CdmUtils.Nz(genericReference.getTitle()).trim();
+		String titel = CdmUtils.getPreferredNonEmptyString(genericReference.getTitle(), genericReference.getAbbrevTitle(), isAbbrev, true);
 		String edition = CdmUtils.Nz(genericReference.getEdition());
 		//TODO
 		String series = CdmUtils.Nz(genericReference.getSeries()).trim(); //nomenclaturalReference.getSeries();
@@ -81,10 +81,10 @@ public class GenericDefaultCacheStrategy <T extends Reference> extends InRefDefa
 		Integer len;
 		String lastChar ="";
 		String character =".";
-		len = titelAbbrev.length();
-		if (len > 0){lastChar = titelAbbrev.substring(len-1, len);}
+		len = titel.length();
+		if (len > 0){lastChar = titel.substring(len-1, len);}
 		//lastCharIsDouble = f_core_CompareStrings(RIGHT(@TitelAbbrev,1),character);
-		lastCharIsDouble = titelAbbrev.equals(character);
+		lastCharIsDouble = titel.equals(character);
 
 //		if(lastCharIsDouble  && edition.length() == 0 && series.length() == 0 && volume.length() == 0 && refYear.length() > 0 ){
 //			titelAbbrev =  titelAbbrev.substring(1, len-1); //  SUBSTRING(@TitelAbbrev,1,@LEN-1)
@@ -93,9 +93,9 @@ public class GenericDefaultCacheStrategy <T extends Reference> extends InRefDefa
 		
 		boolean needsComma = false;
 		//titelAbbrev
-		if (!"".equals(titelAbbrev) ){
+		if (titel.length() > 0 ){
 			String postfix = StringUtils.isNotBlank(edition) ? "" : blank; 
-			nomRefCache = titelAbbrev + postfix; 
+			nomRefCache = titel + postfix; 
 		}
 		//edition
 		String editionPart = "";
@@ -139,8 +139,6 @@ public class GenericDefaultCacheStrategy <T extends Reference> extends InRefDefa
 			nomRefCache = nomRefCache.substring(0, nomRefCache.length()-1);
 		}
 		
-		
-		
 
 		
 		//	--Edition and series are null or numeric
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/IReferenceBaseCacheStrategy.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/IReferenceBaseCacheStrategy.java
index cff531a4f9..162e735bf3 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/IReferenceBaseCacheStrategy.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/IReferenceBaseCacheStrategy.java
@@ -24,6 +24,13 @@ public interface IReferenceBaseCacheStrategy<T extends Reference> extends IIdent
 	 * Returns a short version of the reference, suitable for citation (e.g. ${authorname}, ${year})
 	 * @return
 	 */
-	public String getCitation(T referenceBase);
+	public String getCitation(T reference);
+	
+	/**
+	 * Returns the abbreviated title cache which is a title cache which uses the {@link Reference#getAbbrevTitle() abbrev title}
+	 * @return
+	 */
+	public String getAbbrevTitleCache(T reference);
+	
 
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/InRefDefaultCacheStrategyBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/InRefDefaultCacheStrategyBase.java
index 19ccb21af2..06e449366d 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/InRefDefaultCacheStrategyBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/strategy/cache/reference/InRefDefaultCacheStrategyBase.java
@@ -22,10 +22,11 @@ import eu.etaxonomy.cdm.model.reference.Reference;
  * @created 15.03.2012
  */
 public abstract class InRefDefaultCacheStrategyBase<T extends Reference> extends NomRefDefaultCacheStrategyBase<T> {
+
 	private static final long serialVersionUID = -8418443677312335864L;
 	private static final Logger logger = Logger.getLogger(InRefDefaultCacheStrategyBase.class);
 	
-	private String inSeperator = "in ";
+	private String inSeparator = "in ";
 	private String afterSectionAuthor = " - ";
 	private String blank = " ";
 	
@@ -60,7 +61,7 @@ public abstract class InRefDefaultCacheStrategyBase<T extends Reference> extends
 		//use generics's publication date if it exists
 		if (inRef == null ||  (thisRef.hasDatePublished() ) ){
 			GenericDefaultCacheStrategy<Reference> inRefStrategy = GenericDefaultCacheStrategy.NewInstance();
-			result =  inRef == null ? "" : inRefStrategy.getNomRefTitleWithoutYearAndAuthor(inRef);
+			result =  inRef == null ? "" : inRefStrategy.getTitleWithoutYearAndAuthor(inRef, true);
 			result += INomenclaturalReference.MICRO_REFERENCE_TOKEN;
 			result = addYear(result, thisRef, true);
 		}else{
@@ -90,40 +91,49 @@ public abstract class InRefDefaultCacheStrategyBase<T extends Reference> extends
 	}
 	
 
-	
-	/* (non-Javadoc)
-	 * @see eu.etaxonomy.cdm.strategy.cache.reference.INomenclaturalReferenceCacheStrategy#getTitleCache(eu.etaxonomy.cdm.model.reference.INomenclaturalReference)
-	 */
 	@Override
 	public String getTitleCache(T thisRef) {
-		return getTitleCache(thisRef, false);
-	}	
+		return getTitleCache(thisRef, false, false);
+	}
+	
+	@Override
+	public String getAbbrevTitleCache(T thisRef) {
+		return getTitleCache(thisRef, false, true);
+	}
 	
-	protected String getTitleCache(T thisRef, boolean inRefIsObligatory) {
-		boolean hasInRef = (thisRef.getInReference() != null);
+	
+	protected String getTitleCache(T thisRef, boolean inRefIsObligatory, boolean isAbbrev) {
 		String result;
+		
+		Reference<?> inRef = thisRef.getInReference();
+		boolean hasInRef = (inRef != null);
 		// get inRef part
 		if (hasInRef){
-			result = thisRef.getInReference().getTitleCache();
+			result = CdmUtils.getPreferredNonEmptyString(inRef.getTitleCache(), inRef.getAbbrevTitle(), isAbbrev, true)  ;
 		}else{
 			if ( ! inRefIsObligatory){
 				return super.getTitleCache(thisRef);
+			}else{
+				result = String.format("- undefined %s -", getInRefType());
 			}
-			result = String.format("- undefined %s -", getInRefType());
 		}
 		
 		//in
-		result = inSeperator +  result;
+		result = inSeparator +  result;
 		
 		//section title
-		String title = CdmUtils.Nz(thisRef.getTitle());
+		String title = CdmUtils.getPreferredNonEmptyString(
+				thisRef.getTitle(), thisRef.getAbbrevTitle(), isAbbrev, true);
 		if (title.length() > 0){
 			result = title + blank + result;
 		}
 		
 		//section author
 		TeamOrPersonBase<?> thisRefTeam = thisRef.getAuthorTeam();
-		String thisRefAuthor = CdmUtils.Nz(thisRefTeam == null ? "" : thisRefTeam.getTitleCache());
+		String thisRefAuthor = "";
+		if (thisRefTeam != null){
+			thisRefAuthor = CdmUtils.getPreferredNonEmptyString(thisRefTeam.getTitleCache(), thisRefTeam.getNomenclaturalTitle(), isAbbrev, true);
+		}
 		result = CdmUtils.concat(afterSectionAuthor, thisRefAuthor, result);
 		
 		//date
@@ -132,7 +142,7 @@ public abstract class InRefDefaultCacheStrategyBase<T extends Reference> extends
 			if (hasInRef && thisRef.getInBook().getDatePublished() != null){
 				TimePeriod inRefDate = thisRef.getInReference().getDatePublished();
 				String inRefDateString = inRefDate.getYear();
-				if (CdmUtils.isNotEmpty(inRefDateString)){
+				if (isNotBlank(inRefDateString)){
 					int pos = StringUtils.lastIndexOf(result, inRefDateString);
 					if (pos > -1 ){
 						result = result.substring(0, pos) + thisRefDate + result.substring(pos + inRefDateString.length());
@@ -148,7 +158,5 @@ public abstract class InRefDefaultCacheStrategyBase<T extends Reference> extends
 		}
 		return result;
 	}
-	
-
 
 }
